## photofilmstrip-dmo 4.2.1

=== Makefile ===
#
# Makefile for PhotoFilmStrip
#

displayname = PhotoFilmStrip
srcdir = .
pkgdir = photofilmstrip

all: clean test compile

test:
	pylint --rcfile=.pylintrc --disable=W,R,C $(pkgdir)

compile:
	python3 setup.py build sdist

clean:
	if [ -e ./dist ] ; then rm -r ./dist ; fi
	find . -name "*.pyc" -exec rm {} ';'
	find . -name "*.pyo" -exec rm {} ';'
	find . -name "_scmInfo.py*" -exec rm {} ';'
	find . -name "_pkgInfo.py*" -exec rm {} ';'
	python3 setup.py clean

update-po:
	pygettext3 -o "po/$(displayname).pot" -v "$(srcdir)/$(pkgdir)"
	find po/ -name "*.po" -exec msgmerge --backup=none --update {} "po/$(displayname).pot" ';'


versioninfo:
	python3 -c "from photofilmstrip import Constants;print(Constants.APP_VERSION)"; \

=== requirements.txt ===
pillow==11.3.0
wxpython>=4.2.0

## photofilmstrip-dmo 3.7.3

=== debian/changelog ===
photofilmstrip-dmo (1:3.7.3-dmo3) unstable; urgency=medium

  * debian/rules call dh with '--with sphinxdoc'

 -- Christian Marillat <marillat@deb-multimedia.org>  Fri, 01 Jan 2021 11:33:45 +0100

photofilmstrip-dmo (1:3.7.3-dmo2) unstable; urgency=medium

  * Changes libjs-jquery dependency by node-jquery

 -- Christian Marillat <marillat@deb-multimedia.org>  Fri, 08 May 2020 09:40:22 +0200

photofilmstrip-dmo (1:3.7.3-dmo1) unstable; urgency=medium

  * New upstream bugfix release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Sat, 04 Apr 2020 09:32:24 +0200

photofilmstrip-dmo (1:3.7.2-dmo2) unstable; urgency=medium

  * Fix crash at stratup.

 -- Christian Marillat <marillat@deb-multimedia.org>  Sun, 29 Mar 2020 16:09:54 +0200

photofilmstrip-dmo (1:3.7.2-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Fri, 21 Feb 2020 08:09:56 +0100

photofilmstrip-dmo (1:3.7.0-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Tue, 13 Nov 2018 10:15:32 +0100

photofilmstrip-dmo (1:3.5.1-dmo2) unstable; urgency=medium

  * Update python packages to python 3.

 -- Christian Marillat <marillat@deb-multimedia.org>  Thu, 26 Jul 2018 23:03:25 +0200

photofilmstrip-dmo (1:3.5.1-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Mon, 14 May 2018 11:15:09 +0200

photofilmstrip-dmo (1:3.3.1-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Tue, 12 Dec 2017 07:47:16 +0100

photofilmstrip-dmo (1:3.1.1-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Mon, 30 Oct 2017 07:43:50 +0100

photofilmstrip-dmo (1:3.0.2-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Fri, 03 Mar 2017 23:42:40 +0100

photofilmstrip-dmo (1:3.0.1-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Wed, 15 Feb 2017 08:10:53 +0100

photofilmstrip-dmo (1:2.1.0-dmo2) unstable; urgency=medium

  * Replaces tostring() by tobytes().

 -- Christian Marillat <marillat@deb-multimedia.org>  Sat, 12 Nov 2016 19:01:38 +0100

photofilmstrip-dmo (1:2.1.0-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Tue, 14 Oct 2014 08:47:52 +0200

photofilmstrip-dmo (1:2.0.0-dmo1) unstable; urgency=low

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Thu, 21 Nov 2013 15:12:35 +0100

photofilmstrip-dmo (1:1.9.93-dmo1) unstable; urgency=low

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Wed, 13 Nov 2013 16:10:56 +0100

photofilmstrip-dmo (1:1.9.92-dmo2) unstable; urgency=low

  * Update version.

 -- Christian Marillat <marillat@deb-multimedia.org>  Sun, 18 Aug 2013 14:43:25 +0200

photofilmstrip-dmo (1.9.92-dmo1) unstable; urgency=low

  * Upload to my repository.

 -- Christian Marillat <marillat@deb-multimedia.org>  Sun, 18 Aug 2013 14:35:07 +0200

photofilmstrip (1.9.92+dfsg-1) unstable; urgency=low

  * New upstream release (Closes: #695062)
  * Updated standards version: 3.9.4 (no changes needed)
  * Updated debian/copyright
  * Corrected debian/watch

 -- Philipp Huebner <debalance@debian.org>  Thu, 18 Jul 2013 13:30:51 +0200

photofilmstrip (1.9.91+dfsg-1) unstable; urgency=low

  [ Gürkan Sengün ]
  * Repackaged (remove windows/)
  * New upstream version (Closes: #668857)
  * Bumped up standards version to 3.9.3.

  [ Philipp Huebner ]
  * Fixed double installation of html documentation
  * Added doc-base registration
  * Added myself as uploader
  * Updated debian/copyright

 -- Philipp Huebner <debalance@debian.org>  Tue, 22 May 2012 14:45:58 +0200

photofilmstrip (1.4.0-1) unstable; urgency=low

  * Initial release. (Closes: #586268)

 -- Gürkan Sengün <gurkan@phys.ethz.ch>  Thu, 27 Jan 2011 10:26:08 +0100

=== debian/control ===
Source: photofilmstrip-dmo
Section: video
Priority: optional
Maintainer: Christian Marillat <marillat@deb-multimedia.org>
Bugs: mailto:marillat@deb-multimedia.org
Homepage: http://www.photofilmstrip.org/
Standards-Version: 4.5.1
Build-Depends: debhelper-compat (= 13), dh-sequence-python3, python3-setuptools,
 python3-sphinx, python3, jdupes

Package: photofilmstrip
Architecture: all
Depends: ${misc:Depends}, ${python3:Depends}, ${sphinxdoc:Depends}, gstreamer1.0-libav, python3-gst-1.0, python3-wxgtk4.0, python3-pil
Description: Slideshow creator with Ken Burns effect
 This creates movies out of your pictures in just three steps. First select
 your photos, customize the motion path and render the video. There are
 several output possibilities for VCD, SVCD, DVD up to FULL-HD.
 .
 The effect of the slideshow is known as "Ken Burns". Comments of the
 pictures are generated into a subtitle file. Furthermore an audio file can
 be specified to setup the background music for the slide show.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ -Spybuild --with sphinxdoc

override_dh_auto_build:
	dh_auto_build

	cd docs/help && make html

override_dh_clean:
	dh_clean

	${RM} -rf docs/help/_build

override_dh_installdeb:
	jdupes -rl debian/photofilmstrip/usr

	dh_installdeb

=== debian/watch ===
version=4

https://github.com/PhotoFilmStrip/PFS/releases \
.*/v?(\d\S*)@ARCHIVE_EXT@

## photofilmstrip-dmo 4.0.0

=== debian/changelog ===
photofilmstrip-dmo (1:4.0.0-dmo1) unstable; urgency=medium

  * New upstream bugfix release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Wed, 15 Jun 2022 09:55:28 +0200

=== debian/control ===
--- 
+++ 
@@ -4,13 +4,13 @@
 Maintainer: Christian Marillat <marillat@deb-multimedia.org>
 Bugs: mailto:marillat@deb-multimedia.org
 Homepage: http://www.photofilmstrip.org/
-Standards-Version: 4.5.1
+Standards-Version: 4.6.1
 Build-Depends: debhelper-compat (= 13), dh-sequence-python3, python3-setuptools,
  python3-sphinx, python3, jdupes
 
 Package: photofilmstrip
 Architecture: all
-Depends: ${misc:Depends}, ${python3:Depends}, ${sphinxdoc:Depends}, gstreamer1.0-libav, python3-gst-1.0, python3-wxgtk4.0, python3-pil
+Depends: ${misc:Depends}, ${python3:Depends}, ${sphinxdoc:Depends}, gstreamer1.0-libav, python3-wxgtk4.0, python3-pil, python3-ges-1.0
 Description: Slideshow creator with Ken Burns effect
  This creates movies out of your pictures in just three steps. First select
  your photos, customize the motion path and render the video. There are

## photofilmstrip-dmo 4.1.0

=== debian/changelog ===
photofilmstrip-dmo (1:4.1.0-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Fri, 31 Jan 2025 16:42:17 +0100

=== debian/control ===
--- 
+++ 
@@ -3,10 +3,11 @@
 Priority: optional
 Maintainer: Christian Marillat <marillat@deb-multimedia.org>
 Bugs: mailto:marillat@deb-multimedia.org
-Homepage: http://www.photofilmstrip.org/
-Standards-Version: 4.6.1
-Build-Depends: debhelper-compat (= 13), dh-sequence-python3, python3-setuptools,
- python3-sphinx, python3, jdupes
+Homepage: https://www.photofilmstrip.org/
+Rules-Requires-Root: no
+Standards-Version: 4.7.0
+Build-Depends: debhelper-compat (= 13), dh-sequence-python3, python3-sphinx,
+ python3, jdupes, pybuild-plugin-pyproject,
 
 Package: photofilmstrip
 Architecture: all

=== debian/watch ===
version=4

https://github.com/PhotoFilmStrip/PFS/tags \
(?:.*?/)?v?(\d[\d.]*)@ARCHIVE_EXT@

## photofilmstrip-dmo 4.2.1

=== debian/changelog ===
photofilmstrip-dmo (1:4.2.1-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Fri, 14 Nov 2025 20:05:39 +0100

photofilmstrip-dmo (1:4.1.1-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Sat, 29 Mar 2025 17:01:48 +0100

=== debian/control ===
--- 
+++ 
@@ -4,14 +4,13 @@
 Maintainer: Christian Marillat <marillat@deb-multimedia.org>
 Bugs: mailto:marillat@deb-multimedia.org
 Homepage: https://www.photofilmstrip.org/
-Rules-Requires-Root: no
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Build-Depends: debhelper-compat (= 13), dh-sequence-python3, python3-sphinx,
- python3, jdupes, pybuild-plugin-pyproject,
+ python3, jdupes, pybuild-plugin-pyproject, python3-setuptools,
 
 Package: photofilmstrip
 Architecture: all
-Depends: ${misc:Depends}, ${python3:Depends}, ${sphinxdoc:Depends}, gstreamer1.0-libav, python3-wxgtk4.0, python3-pil, python3-ges-1.0
+Depends: ${misc:Depends}, ${python3:Depends}, ${sphinxdoc:Depends}, gstreamer1.0-libav, python3-wxgtk4.0, python3-pil, python3-ges-1.0,
 Description: Slideshow creator with Ken Burns effect
  This creates movies out of your pictures in just three steps. First select
  your photos, customize the motion path and render the video. There are

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ -Spybuild --with sphinxdoc

execute_after_dh_auto_build:
	cd docs/help && make html

execute_after_dh_clean:
	${RM} -rf docs/help/_build

execute_before_dh_installdeb:
	jdupes -rl debian/photofilmstrip/usr

=== debian/watch ===
Version: 5

Template: Github
Owner: PhotoFilmStrip
Project: PFS
